Package org.apache.solr.client.solrj

# Class SolrResponse

java.lang.Object
org.apache.solr.client.solrj.SolrResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `SimpleSolrResponse`, `SolrResponseBase`

public abstract class SolrResponse extends Object implements Serializable, MapWriter

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`SolrResponse()`

## Method Summary

Modifier and Type
Method
Description
`abstract long`
`getElapsedTime()`
Elapsed time in milliseconds for the request as seen from the client.
`Exception`
`getException()`
`abstract NamedList<Object>`
`getResponse()`
`abstract void`
`setElapsedTime(long elapsedTime)`
`abstract void`
`setResponse(NamedList<Object> rsp)`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### SolrResponse

public SolrResponse()

## Method Details

### getElapsedTime

public abstract long getElapsedTime()
Elapsed time in milliseconds for the request as seen from the client.

### setResponse

public abstract void setResponse(NamedList<Object> rsp)

### setElapsedTime

public abstract void setElapsedTime(long elapsedTime)

### getResponse

public abstract NamedList<Object> getResponse()

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

### getException

public Exception getException()